%define kdeprefix /usr

Summary: A Dictionary Lookup program
Name: ding
Version: 1.1
Release: 1
Source: http://www.tu-chemnitz.de/ftp-home/pub/Local/urz/ding/ding-%version.tgz
Url: http://www.tu-chemnitz.de/dict
Copyright: GPL
Group: Applications/Productivity
BuildRoot: %{_tmppath}/%{name}-root
Requires: tcl >= 8.0 tk >= 8.0, aspell, grep
BuildArchitectures: noarch

%description
Ding (DIctionary Nice Grep) is a tool to lookup words in dictionaries.
It uses tools like agrep, dict, ispell etc. It contains a program (ding)
written in Tcl/Tk and a German - English dictionary (ca. 124,000 translations). 

%prep
%setup -q
%build

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Utilities \
         ${RPM_BUILD_ROOT}/usr/X11R6/bin \
         ${RPM_BUILD_ROOT}%{kdeprefix}/share/applnk/Utilities \
         ${RPM_BUILD_ROOT}%{kdeprefix}/share/icons \
         ${RPM_BUILD_ROOT}%{kdeprefix}/share/icons/mini \
         ${RPM_BUILD_ROOT}/usr/dict


install -m 644 ger-eng.txt ${RPM_BUILD_ROOT}/usr/dict/
install -m 755 ding ${RPM_BUILD_ROOT}/usr/X11R6/bin/
install -m 644 ding.desktop ${RPM_BUILD_ROOT}/etc/X11/applnk/Utilities/
install -m 644 ding.kdelnk ${RPM_BUILD_ROOT}%{kdeprefix}/share/applnk/Utilities/
install -m 644 dbook.xpm ${RPM_BUILD_ROOT}%{kdeprefix}/share/icons/
install -m 644 mini-dbook.xpm ${RPM_BUILD_ROOT}%{kdeprefix}/share/icons/mini/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
/usr/X11R6/bin/*
/etc/X11/applnk/Utilities/ding.desktop
/usr/dict/ger-eng.txt
%{kdeprefix}/share/applnk/Utilities/ding.kdelnk
%{kdeprefix}/share/icons/dbook.xpm
%{kdeprefix}/share/icons/mini/mini-dbook.xpm

%changelog
* Tue Oct 24 2000 Than Ngo <than@redhat.com>
- initial RPM for powertools 7.1
